﻿namespace HeuristicLab.Algorithms.PushGP.Generators {
  using System.Threading;

  using HeuristicLab.Algorithms.PushGP.Data.Random;
  using HeuristicLab.Core;

  public static class BooleanGenerator {
    private static readonly ThreadLocal<IRandom> rand = RandomFactory.GetRandom();

    public static bool RandomBoolean() {
      return rand.Value.NextDouble() > 0.5;
    }
  }
}